{% extends 'dashboard/_layout/layout_dashboard.html.twig' %}

{% block title %}{{ project.name }} {{ parent() }}{% endblock %}

{% block breadcrumb %}
    {% set breadcrumb_back_link = path('app_dashboard_project_view',  {projectId: project.projectId.encode}) %}
    {% set breadcrumb_back_link_title = 'Property Overview' %}
    {% embed 'dashboard/_component/breadcrumb.html.twig' with {'breadcrumb_title': 'Reports' } %}{% endembed %}
{% endblock %}

{% block content %}


    {% embed 'dashboard/_component/flash_v2.html.twig' %}{% endembed %}

    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-header">
                    <div class="row align-items-center">
                        <div class="col">
                            <h4 class="card-title">List</h4>
                        </div><!--end col-->
                        <div class="col-auto">
                            {{ form_start(formSearchReport, {attr: {'class': 'form-inline'}}) }}

                            <div class="form-group mr-2">
                                {{ form_label(formSearchReport.analysisId, '', {label_attr: {'class': 'my-1 mr-2'}}) }}
                                {{ form_widget(formSearchReport.analysisId, {attr: {'class': 'form-control-sm', 'onchange': 'this.form.submit()'}}) }}
                            </div>

                            <div class="form-group">
                                {{ form_widget(formSearchReport.q, {attr: {'class': 'form-control-sm', 'onchange': 'this.form.submit()'}}) }}
                            </div>

                            {{ form_end(formSearchReport) }}

                        </div><!--end col-->
                    </div>  <!--end row-->
                </div><!--end card-header-->
                <div class="card-body">
                    <div class="table-responsive-sm">
                        {% if reports | length > 0 %}
                            <table class="table stripe mb-0">
                                <caption>List of reports ({{ reports | length }})</caption>
                                <thead class="thead-light">
                                <tr>
                                    <th scope="col">Name</th>
                                    <th scope="col">Filename</th>
                                    <th scope="col">Created At</th>
                                    <th scope="col" class="text-right">Action</th>
                                </tr>
                                </thead>
                                <tbody>
                                {% for key, report in reports %}
                                    <tr>
                                        <td>
                                            <span class="font-weight-bold text-primary">{{ report.name }}</span>
                                        </td>
                                        <td>
                                            <i class="las la-file-pdf mr-1 text-dark"></i>
                                            <a href="{{ '/files/projects/' ~ report.projectId ~ '/' ~ report.fileName }}" target="_blank">{{ report.fileName }}</a>
                                        </td>
                                        <td>
                                            {{ report.createdAt | date('d F Y') }}
                                        </td>
                                        <td class="text-right">
                                            <a href="{{ '/files/projects/' ~ report.projectId ~ '/' ~ report.fileName }}" target="_blank">
                                                <i class="las la-eye text-secondary font-18"></i>
                                            </a>
                                            <a href="{{ path('app_dashboard_project_reports_download', {projectId: project.projectId.encode, reportId: report.projectReportId.encode}) }}">
                                                <i class="las la-download text-primary font-18"></i>
                                            </a>
                                        </td>
                                    </tr>
                                {% endfor %}
                                </tbody>
                            </table><!--end /table-->
                        {% else %}
                            {% if isSearching == false %}
                                <div class="mt-3 pb-4 col-md-3 text-center mx-auto text-muted">

                                    <img src="{{ asset('assets/reavant/images/contact/icon-contacts-empty.png') }}" class="col-md-6 mb-4 img"/>

                                    <h6>You do not have any reports</h6>

                                    Generate unlimited reports directly on the analysis page.
                                </div>
                            {% else %}
                                <div class="mt-3 col-md-12 text-center mx-auto rounded bg-light pt-5 pb-3">

                                    <div class="mb-3">
                                        <b>You have no reports that match your search conditions</b>
                                    </div>

                                    <p><a href="{{ path('app_dashboard_project_reports_list', {projectId: project.projectId.encode}) }}">View all reports instead</a></p>
                                </div>
                            {% endif %}
                        {% endif %}
                    </div><!--end /tableresponsive-->
                </div><!--end card-body-->
            </div><!--end card-->
        </div><!--end col-->
    </div><!--end row-->
{% endblock %}